Piloterr

Yelp Search

Search Yelp by keyword and location and retrieve paginated business cards with ratings, categories, photos, and sponsored flags.

Credit cost: 2 credits per call

GET
/v2/yelp/search

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

Full Yelp search URL with find_desc and find_loc query parameters.

Example:

https://www.yelp.com/search?find_desc=Cocktail+Bars&find_loc=San+Francisco%2C+CA

Use organic results[].link values on Yelp Business, or results[].biz_id on Yelp Reviews.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/yelp/search?query=string"
{
  "results": [
    {
      "link": "https://www.yelp.com/adredir?ad_business_id=tGntxs1wgwl2IVcwgfhm0A&campaign_id=219482732&click_origin=search_results&placement=vertical_0&placement_slot=0&redirect_url=https%3A%2F%2Fwww.yelp.com%2Fbiz%2Fcatch-san-francisco-3&request_id=e6a82d0dc569287b&signature=d85aa915d620355289b6c43276f79848a2e1eb5d29f8ad591ba5c13cbbab26c1&slot=0",
      "name": "Catch",
      "alias": "catch-san-francisco-3",
      "is_ad": true,
      "phone": "(415) 431-5000",
      "biz_id": "tGntxs1wgwl2IVcwgfhm0A",
      "rating": 4,
      "picture": "https://s3-media0.fl.yelpcdn.com/bphoto/fkCtr1sSfhz1DY4EjIqoBg/ls.jpg",
      "categories": [
        "Cocktail Bars",
        "Breakfast & Brunch",
        "Coffee & Tea"
      ],
      "price_range": "$$$",
      "review_count": 70
    },
    {
      "link": "https://www.yelp.com/adredir?ad_business_id=e36DPs7qLGswtxbIy9XlVQ&campaign_id=214587588&click_origin=search_results&placement=vertical_0&placement_slot=0&redirect_url=https%3A%2F%2Fwww.yelp.com%2Fbiz%2F200-channels-san-francisco-3&request_id=e6a82d0dc569287b&signature=9a46a6284a56cbf0a0afb36c73bc3ba7c0a2097e6206a3a9f6a5127e12d29a31&slot=1",
      "name": "200 Channels",
      "alias": "200-channels-san-francisco-3",
      "is_ad": true,
      "phone": "+1-415-728-9506",
      "biz_id": "e36DPs7qLGswtxbIy9XlVQ",
      "rating": 4.8,
      "picture": "https://s3-media0.fl.yelpcdn.com/offerphoto/M9FHUPMUcnH82P-qUYCZLg/ls.jpg",
      "categories": [
        "Cabaret",
        "Speakeasies"
      ],
      "price_range": null,
      "review_count": 5
    },
    {
      "link": "https://www.yelp.com/adredir?ad_business_id=9N2SyYEqGTL3pZnhyiFHzg&campaign_id=184504858&click_origin=search_results&placement=vertical_0&placement_slot=0&redirect_url=https%3A%2F%2Fwww.yelp.com%2Fbiz%2Fmoss-beach-distillery-moss-beach&request_id=e6a82d0dc569287b&signature=d6f93a1fce8a79a30db41a99c229bbe3a63fdf8028872bacf03720d274c815cc&slot=2",
      "name": "Moss Beach Distillery",
      "alias": "moss-beach-distillery-moss-beach",
      "is_ad": true,
      "phone": "(650) 728-0220",
      "biz_id": "9N2SyYEqGTL3pZnhyiFHzg",
      "rating": 3.8,
      "picture": "https://s3-media0.fl.yelpcdn.com/bphoto/RDcwAaluiXfR1IDBts78Ug/ls.jpg",
      "categories": [
        "Seafood",
        "Venues & Event Spaces",
        "Bars"
      ],
      "price_range": "$$",
      "review_count": 1964
    }
  ],
  "pagination": {
    "next": 2,
    "current": 1,
    "other_pages": [
      2,
      3,
      4,
      5,
      6,
      7,
      8,
      9
    ],
    "total_pages": 9,
    "has_next_page": true,
    "total_results": 0
  }
}
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}